/* Switch estilos */

.switch__container {
    display: inline-block;
}

.switch {
    visibility: hidden;
    position: absolute;
    margin-left: -9999px;
}

.switch+label {
    display: block;
    position: relative;
    cursor: pointer;
    outline: none;
    user-select: none;
}

.switch--shadow+label {
    padding: 2px;
    width: 60px;
    height: 30px;
    background-color: #dddddd;
    border-radius: 60px;
}

.switch--shadow+label:before, .switch--shadow+label:after {
    display: block;
    position: absolute;
    top: 1px;
    left: 1px;
    bottom: 1px;
    content: "";
}

.switch--shadow+label:before {
    right: 1px;
    background-color: #f1f1f1;
    border-radius: 60px;
    transition: background 0.4s;
}

.switch--shadow+label:after {
    width: 31px;
    background-color: #fff;
    border-radius: 100%;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
    transition: all 0.4s;
}

.switch--shadow:checked+label:before {
    background-color: #8ce196;
}

.switch--shadow:checked+label:after {
    transform: translateX(30px);
}

/* Fim switch estilos */

/* Estilos tabela de ordenação de produtos */

.box {
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-top: 25px;
}

#page_list li {
    padding: 16px;
    background-color: #f9f9f9;
    border: 1px dotted #ccc;
    cursor: move;
    margin-top: 12px;
    list-style-type: none;
}

#page_list li.ui-state-highlight {
    padding: 24px;
    background-color: #ffffcc;
    border: 1px dotted #ccc;
    cursor: move;
    margin-top: 12px;
}

ul {
    padding-left: 20px;
    padding-right: 20px;
}

/* Fim estilos tabela de ordenação de produtos */

/* Estilos para o gráficos */

.coluna-grafico {
    margin-left: 5%;
    margin-right: 5%;
}

.div-largura-coluna {
    margin-left: 0%;
    margin-right: 0%;
}

/* Fim estilos para o gráficos */

/* Estilos para div do tamanho/quantidade na geração do QrCode */

.div-quantidade-tamanho {
    display: inline-block;
}

.coluna-listagem.produtos-estoque {
    width: 60%;
}

.input-quantidade-tamanho {
    width: 40px;
}

/* Fim estilos para div do tamanho/quantidade na geração do QrCode */

/* Estilos para ordenação na subcategoria */

.bloco-produto-subcategoria {
    width: 32%;
    padding: 5px;
    display: inline-block;
}

.bloco-listagem.verde {
    background-image: linear-gradient(90deg, #38ecaa 6px, #fff 7px);
}

.w-form.w-form {
    margin-bottom: 0px
}

a:-webkit-any-link {
    text-decoration: none;
}

button, a, div, input {
    -webkit-tap-highlight-color: rgba(2, 50, 170, 0.2);
}

/* Fim estilos para ordenação na subcategoria */

/* Estilos login */

div, .div-imagem-login, .secao-base, .titulo-pagina, .filtro-drop, .div-upload-imagem, .botao-switch {
    vertical-align: top;
}

.info-operador, .div-imagem-operador, .coluna-listagem, .nome-coluna, .label-cadastro, .botao-acoes, .bullet, .quantidade-estoque.total {
    vertical-align: middle;
}

.bloco-listagem.verde {
    background-image: linear-gradient(90deg, #38ecaa 6px, #fff 7px);
}

.bloco-listagem.vermelho {
    background-image: linear-gradient(90deg, #ed3939 6px, #fff 7px);
}

.bloco-listagem.amarelo {
    background-image: linear-gradient(90deg, #edde39 6px, #fff 7px);
}

.bloco-listagem.cinza {
    background-image: linear-gradient(90deg, #bebebe 6px, #fff 7px);
}

.titulo-secao {
    border-image: linear-gradient(to right, #00a9d7 0%, #0079bb 100%) 1;
}

.div-33 {
    vertical-align: bottom;
}

.w-form {
    margin-bottom: 0px
}

a:-webkit-any-link {
    text-decoration: none;
}

.botao-acao.cadastro+.botao-acao.cadastro {
    margin-left: 10px
}

button, a, div, input {
    -webkit-tap-highlight-color: rgba(2, 50, 170, 0.2);
}

/* Fim estilos login */

/* Estilos relatórios */

.nome-produto.dados {
    font-size: 80%;
    line-height: 85%;
    white-space: nowrap;
}

.titulo-coluna.relatorio {
    font-size: 80%;
    line-height: 100%;
    white-space: nowrap;
}

.tabela-col-cabecalho {
    position: relative;
    text-align: left;
    padding-right: 15px;
    cursor: pointer;
}

.tabela-col-dados {
    padding-right: 10px;
}

/* Fim estilos relatórios */

/* Estilo imagem operador */

.div-imagem-operador {
    background-image: url(../images/logo-cliente.png);
}

/* Fim estilo imagem operador */

/* Estilo menu login */

.div-login {
    width: 345px;
}

/* Fim estilo menu login */

/* Estilo drop imagem */

.div-drop-imagem {
    cursor: pointer;
    position: relative;
}

/* Estilo bloco popup exclusão */

.popup-exclusao {
    z-index: 1000;
    position: fixed;
    margin-top: 27vh;
    margin-left: 52vh;
    background-color: #dddddd;
}

/* Fim estilo bloco popup exclusão */

/* Estilo seis botões para listagem */

.coluna-listagem.acoes.seis-botoes {
    width: 265px;
}

.coluna-listagem.acoes.seis-botoes.listagem {
    margin-top: 36px;
    margin-bottom: 36px;
}

@media screen and (max-width: 991px) {
    .coluna-listagem.acoes.seis-botoes {
        width: auto;
    }

    .coluna-listagem.acoes.seis-botoes.listagem {
        margin-top: 0px;
        margin-bottom: 2px;
    }
}

@media screen and (max-width: 767px) {
    .coluna-listagem.acoes.seis-botoes.listagem {
        margin-top: 5px;
        margin-bottom: 5px;
    }
}

/* Fim estilo seis botões para listagem */

/* Estilos para atributos de produtos */

.div-10 {
    display: inline-block;
    width: 10%;
    margin-bottom: 10px;
    padding-right: 1%;
    padding-left: 1%;
}

/* Fim estilos para atributos de produtos */

/* Estilos para a página de edição de módulos por cargo */

/* Aplicado somente ao PC */

.div-15 {
    display: inline-block;
    width: 14.5%;
    margin-bottom: 10px;
    padding-right: 1%;
    padding-left: 1%;
}

/* Fim estilos para a página de edição de módulos por cargo */

/* Estilos para tabelas Excel */

.tabela-linha {
    border-width: 1px;
    border-color: #7bcbe4;
    border-right-style: dotted;
    border-bottom-style: dotted;
    border-left-style: dotted;
}

/* Fim estilos para tabelas Excel */

/* Estilo que remove o ponto da lista */

.lista-sem-ponto {
    list-style-type: none;
}

/* Fim estilo que remove o ponto da lista */

/* Estilos barra de paginação */
.aw_paginas-inline {
    display: inline;
}

.aw_paginas-bloco {
    padding-left: 20px;
    padding-right: 20px;
}

.aw_paginas-alinhamento-direita {
    text-align: right;
}

.aw_pagias-sublinhado {
    text-decoration: underline;
}

.aw_pagias-negrito {
    font-weight: bold;
}

.aw_paginas-cursor-pointer {
    cursor: pointer;
}

/* Fim estilos barra de paginação */

/* Estilos paginação */
.alinhamento-centralizado {
    text-align: center;
}

.link-paginacao {
    margin-right: 5px;
    padding-right: 5px;
    padding-left: 5px;
    border-style: solid;
    border-width: 1.5px 0.75px;
    border-color: #00a9d7;
    border-radius: 3px;
    color: #999;
}

.borda-0 {
    border-style: none;
    border-width: 0px;
}

/* checkbox filtro destaque produtos */
.filtro-destaque-produtos{
    text-align: -webkit-auto;
    margin-left: 7rem;
    margin-top: 1rem;
    color: #9c9999;
}

/* Tela de ajuda */

/* Listar  */
.geral header{
    display: flex;
    align-items: center; 
    justify-content: space-between; 
    padding:1rem;
}

.geral header input {
    margin-top: 1rem;
}

.ajuda{
    display: flex;
    align-items: center;
}
.ajuda .img {
    width: 70px;
    height: 70px;
    border-radius: 50%;
}
.configuracoes {
    flex: 1;
    justify-content: center;
    text-align: end;
    margin-right: 2rem;
}

.titulo{
    margin-left: 1.5rem;
}

/* Visualizar  */
.descricao{
    padding: 1rem;
}

.iframe{
    display: flex;
    justify-content: center;
    padding: 1rem;
}

.texto {
    margin-top: 3rem;
    padding: 1rem;
}

/* Modal */
.modal-geral{
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    display: flex;
    background-color: rgb(159 159 159 / 40%);
    justify-content: center;
    align-items: center;
}
.modal-content{
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1001;
    padding: 20px;
    border: 1px solid #ffffff;
    width: 50%;
    border-radius: 0.5rem;
    background-color: #fefefe;
  }
  /* .sumir {
    display: none;
  } */
  .close {
    display: flex;
    justify-content: end;
    user-select: none;

  }

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}
  
.fechar-modal{
    display: none;
    top: -1000px;
}

.container-close{
    display: flex;
    justify-content: end;
    cursor: pointer;
}

.container-close > .flex{
    position: unset !important;
    
}
.none{
    display: none !important;
}

@font-face {
    font-family: 'EanBwrP36Tt';
    src: url('../fonts/eanbwrp36tt.ttf') format('truetype');
    font-weight: 400;   
    font-style: normal;
    font-display: auto;
}

.ean{
    font-family: 'EanBwrP36Tt', sans-serif;
    font-size: 50px;
    margin-top: 1.5rem;
}

/* GPT */
.gpt.container {
    height: calc(100vh - 60px);
}

.gpt > .resultado{
    height: 82%;
    overflow: auto;
}

.gpt > .input_enviar{
    display: flex;
}

.pergunta  {
    background: #f7f7f7 !important;
    padding: 1rem;
}

/* Animação 3 pontos */
.loading-dots {
    display: flex;
    align-items: center;
  }
  
  .loading-dots div {
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: #afaeae;
    margin: 0 5px;
    animation: bounce 1s infinite;
    margin-top: 1rem;
  }
  
  @keyframes bounce {
    0% {
      transform: translateY(0);
    }
    50% {
      transform: translateY(15px);
    }
    100% {
      transform: translateY(0);
    }
  }
  .loading-dots div:nth-child(2) {
    animation-delay: 0.1s;
  }
  
  .loading-dots div:nth-child(3) {
    animation-delay: 0.2s;
  }
  
  .copy{
    text-align: end;
    color: #9b9b9b;
    cursor: pointer;
  }

  .efeito_visual_copy{
    color: #00e300;
  }

  /* Modal padrão tarefas*/
  .modal_popup {
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.4);
  }

  .sumir_popup {
    visibility: hidden;
  }
  
  .modal-conteudo-novo {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border-radius: 0.5rem;
    width: 80%;
    max-width: 800px;
    position: relative;
  }

/* Gera PIX*/
.container_gera_pix {
    display: flex;
    flex-direction: column-reverse;
}
.container_gera_pix .imagem {
    display: flex;
    flex-direction: column;
}
.container_gera_pix .molde_pix {
    width: 200px;
    height: 200px;
    border: 8px solid #707070;
}
.container_gera_pix img {
    width: 200px;
    height: 200px;
}
.container_gera_pix span {
    color: #0083c1;
    margin-top: 10px;
    cursor: pointer;
    margin-left: 40px;
}

/* Preview cadastro de produtos  */

.container_preview {
    display: flex;
}

.preview-ingredientes {
    margin-top: 5rem !important;
    text-align: center;
}

/* Tooltip */
[data-tooltip] {
    position: relative;
  }

  [data-tooltip]:hover::after {
    content: attr(data-tooltip);
    position: absolute;
    top: -3.5em;
    left: 50%;
    transform: translateX(-50%);
    white-space: nowrap;
    padding: 0.5em;
    background-color: #0094cb;;
    color: #fff;
    font-size: 0.8em;
    border-radius: 0.5em;
    z-index: 100;
  }

  [data-tooltip-color="verde"]:hover::after {
    background-color: #2ecc;
  }
  
  [data-tooltip-color="vermelho"]:hover::after {
    background-color: #e74c3c;
  }

  .informacao-label {
    background: #0094ca; 
    border-radius: 50%; 
    width: 20px;  
    height: 20px; 
    text-align: center; 
    cursor: pointer;
    color: white;
    opacity: .75;
  }

  .informacao-label:hover {
    opacity: 1;
  }
/* Fim Tooltip */

/* Popup de avisos */
.card {
    position: absolute;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease-in-out;
    transform: translateY(-150%);
    text-align: left;
    z-index: 9999;
    width: calc(100% - 350px);
}

.card.active {
    transform: translateY(0);
}

.card button {
    background-color: transparent;
    border: none;
    font-size: 20px;
    cursor: pointer;
}

.card a {
    color: #0090c8;
    cursor: pointer;
}

.card .container-button {
    text-align: right;
}
.card .fechar-botao {
    background-color: #0096cc;
    border: none;
    color: white;
    padding: 10px 20px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    border-radius: 5px;
    margin-left: 5px;
}
.card .fechar-botao:hover {
    background-color: #0077b3;
}

/* Loader */
#loader-container {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 999;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  #loader {
    border: 8px solid #f3f3f3;
    border-top: 8px solid #3498db;
    border-radius: 50%;
    width: 80px;
    height: 80px;
  }

  /* Ultima cobrança do pedido gerada */
  #log-cobranca {
    text-align: end; 
    font-size: 12px; 
    color: #969696;
  }

  /*Criar nova conta*/

  .transition_sumir {
    transform: translateX(-1000%);
  }

  .transition {
    transition: all 1s ease;
  }

  #dados_empresa {
    

  }
  
  
@media screen and (max-width: 767px) {
    .link-paginacao {
        margin-right: 0px;
        padding-right: 2px;
        padding-left: 2px;
        border-right-width: 0.5px;
        border-left-width: 0.5px;
        border-radius: 0px;
    }
}

@media screen and (max-width: 479px) {
    .link-paginacao {
        margin-right: 0px;
    }
}

/* Fim estilos paginação */